Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Class AdContentException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.exceptions.ApplicationException
                        |
                        +--com.bea.p13n.placeholder.ContentException
                              |
                              +--com.bea.p13n.ad.AdContentException

public class AdContentException
extends ContentException

Implements an exception throw by the Ad services when there is a problem with the content

See Also:
  Serialized Form

Constructor Summary
`AdContentException()` Constructor
`AdContentException(java.lang.String msg)` Constructor.
`AdContentException(java.lang.String msg, java.lang.Exception source)` Constructor.

Methods inherited from class com.bea.p13n.placeholder.ContentException
`getSourceException`

Methods inherited from class com.bea.p13n.exceptions.ApplicationException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdContentException

    public AdContentException()

  Constructor

### AdContentException

    public AdContentException(java.lang.String msg)

  Constructor.

  Parameters:
    `msg` - the message.

### AdContentException

    public AdContentException(java.lang.String msg,
                              java.lang.Exception source)

  Constructor.

  Parameters:
    `msg` - the message.
    `source` - the exception which is the source of this exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved